import { RouteDefinition } from "../interfaces/route-definition";
import { RouteMap } from "../interfaces/route-map";
export declare const RouteUtils: {
    appendQueryParams: (path: string, queryParams: any) => string;
    debugRoutes: (routes: RouteMap) => void;
    getFlattenedRoutes: (routeArray: RouteDefinition[]) => RouteDefinition[];
    getUrl: (path: string, pathParams?: any) => string;
    getUrlFromPath: (path: string, pathParams?: any, queryParams?: any) => string;
    replacePathParams: (path: string, pathParams: any) => string;
};
